import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockTechPath from './block-tech-path';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: ['items'],
};

<Meta title="Tech Path" component={BlockTechPath} argTypes={addControls(argTypes, controls)} />

# Tech Path

This module is used on the product pages and the technology page.

It is used to show an overview of the technology of a product.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockTechPath },
		template: '<block-tech-path v-bind="$props" />',
		store,
	};
};

export const items = [
	{
		tab_image: {
			url:
				'https://images.prismic.io/molekule%2F7af88ffc-623d-428a-87b4-a6fa7bbf5f10_tech-path-air.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 779,
			height: 1342,
		},
		image: {
			url:
				'https://images.prismic.io/molekule/343d7ee75fbd54462df06f6282e0c673b46619e9_air_step-1.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1585,
			height: 1321,
		},
		tab_name: 'Air',
		tab: 'First',
		symbol: '1',
		title1: '360° air intake',
		description: 'Molekule Air takes in the surrounding air from every angle.',
		image_label: null,
		title_on_image: '360° air intake',
		position_top: 87,
		position_top_negative: 'No',
		position_left: 95,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/476b15e03e2f1ed9a0140aed23594cc926203103_air_step-2.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1911,
			height: 1422,
		},
		tab_name: 'Air',
		tab: 'First',
		symbol: '2',
		title1: 'Pre-Filter',
		description:
			'Air gets circulated through the Pre-Filter, trapping large allergens like dust and dander, while slowing down VOCs on their way to the PECO-FiIter where they are destroyed.',
		image_label: null,
		title_on_image: 'Pre-Filter',
		position_top: 74,
		position_top_negative: 'No',
		position_left: 95,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/2376880762612e2d46d4b349fada3bef8a4b71f1_air_step-3.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1779,
			height: 1475,
		},
		tab_name: 'Air',
		tab: 'First',
		symbol: '3',
		title1: 'PECO-Filter',
		description:
			'Purification at its best. A chemical reaction occurs when a nanocatalyst-coated filter is activated by light, breaking down harmful pollutants to their most basic molecular components.',
		image_label: null,
		title_on_image: 'PECO-Filter',
		position_top: 26,
		position_top_negative: 'No',
		position_left: 80,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/e5877f29beca51052cec127b3202bb406469b510_air_step-4.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1547,
			height: 1309,
		},
		tab_name: 'Air',
		tab: 'First',
		symbol: '4',
		title1: 'Clean air',
		description:
			'Molekule Air releases harmless molecules that are meant to be in the air, reducing the presence of harmful pollutants.',
		image_label: null,
		title_on_image: 'Clean air',
		position_top: 2,
		position_top_negative: 'Yes',
		position_left: 44,
	},
	{
		tab_image: {
			url:
				'https://images.prismic.io/molekule/7ba8caad-daab-4567-8861-d871b0e10435_08+-+Air+Mini+Section-grey%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1170,
			height: 1659,
		},
		image: {
			url:
				'https://images.prismic.io/molekule/729affeb5fe31a4cfac9475d98fae2c21cd70d85_mini_step-1.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1767,
			height: 1405,
		},
		tab_name: 'Air Mini',
		tab: 'Second',
		symbol: '1',
		title1: '360° air intake',
		description: 'Molekule Air Mini takes in the surrounding air from every angle.',
		image_label: null,
		title_on_image: '360° air intake',
		position_top: 85,
		position_top_negative: 'No',
		position_left: 95,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/226dcd45b5d666f108688f46528278af65ec9a80_mini_step-2.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1838,
			height: 1365,
		},
		tab_name: 'Air Mini',
		tab: 'Second',
		symbol: '2',
		title1: 'Particle capture',
		description:
			'Air flows through high-efficiency outer filter layers, trapping large particles like dust and dander, and slowing down VOCs passing through the filter.',
		image_label: null,
		title_on_image: 'Particle capture',
		position_top: 70,
		position_top_negative: 'No',
		position_left: 95,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/3ba07cc1-6151-4c16-9f8e-656bb9c2403c_Air+Pro+-+Path+to+clean+air+-03%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1044,
			height: 936,
		},
		tab_name: 'Air Mini',
		tab: 'Second',
		symbol: '3',
		title1: 'PECO process',
		description:
			'Layers of a nanocatalyst-coated filter react to light, breaking down harmful pollutants into their basic components, leaving clean air in their place.',
		image_label: null,
		title_on_image: 'PECO process',
		position_top: 46,
		position_top_negative: 'No',
		position_left: 75,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/131effcc5f54510b49dfe89f302297bb17dcc317_mini_step-4.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1564,
			height: 1811,
		},
		tab_name: 'Air Mini',
		tab: 'Second',
		symbol: '4',
		title1: 'Clean air',
		description:
			'Molekule releases harmless molecules that are meant to be in the air, reducing the presence of harmful pollutants.',
		image_label: null,
		title_on_image: 'Clean air',
		position_top: 3,
		position_top_negative: 'Yes',
		position_left: 50,
	},
	{
		tab_image: {
			url:
				'https://images.prismic.io/molekule/cc7af5fc-32b8-4436-ac8f-a57dd7a12eca_Air+Pro+-+Path+to+Pure+Air+.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1440,
			height: 2160,
		},
		image: {
			url:
				'https://images.prismic.io/molekule/4a6d7b52-4385-4358-897b-f21fc0efae73_Path+to+clean+air+-+Air+Pro+-+Illos-05%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 828,
			height: 768,
		},
		tab_name: 'Air Pro',
		tab: 'First',
		symbol: '1',
		title1: '360° air intake',
		description: 'Air Pro takes in surrounding air from every angle.',
		image_label: null,
		title_on_image: '360° air intake',
		position_top: 70.1,
		position_top_negative: 'No',
		position_left: 90,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/03a4db6d-9c2e-480c-8f48-ccec89d3e868_Peco+Process.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1838,
			height: 1365,
		},
		tab_name: 'Air Pro',
		tab: 'First',
		symbol: '2',
		title1: 'Particle capture',
		description:
			'Air flows through high-efficiency outer filter layers, trapping large particles, and slowing down chemicals passing through the filter.',
		image_label: null,
		title_on_image: 'Particle capture',
		position_top: 55,
		position_top_negative: 'No',
		position_left: 90,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/885a8029-6626-4e69-a62f-65f3c26a2cd1_Peco+-+clean+air.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1044,
			height: 936,
		},
		tab_name: 'Air Pro',
		tab: 'First',
		symbol: '3',
		title1: 'PECO process',
		description:
			'Purification at its best. The nanocatalyst-coated filter layers react to light, destroying pollutants and leaving behind clean air.',
		image_label: null,
		title_on_image: 'PECO process',
		position_top: 40,
		position_top_negative: 'No',
		position_left: 75,
	},
	{
		tab_image: {},
		image: {
			url:
				'https://images.prismic.io/molekule/0d97d3dc-f0d2-473e-8b8d-85fda383a8ee_Air+Pro+-+Clean+Air.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 1044,
			height: 936,
		},
		tab_name: 'Air Pro',
		tab: null,
		symbol: '4',
		title1: '360º air outlet',
		description: 'Air Pro disperses purified air into the room.',
		image_label: null,
		title_on_image: '360º air outlet',
		position_top: 2.1,
		position_top_negative: 'No',
		position_left: 50,
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			heading: 'The path to clean air',
			items: camelize(items),
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockTechPath} />
